<div class="container-fluid">
  <div class="card card-body">
    <h4 class="card-title">Peer assessment properties (1)</h4>
      <div class="row">
        <div class="col-6">
          <label for="id_test_phase_1">Phase #1 exam:</label>
          <% locals.combodata = {id: "id", list: peer_tests, name: "id_test_phase_1", selected: test.id_test_phase_1}; %>
            <%- include(`../../partials/combo`) %>      
        </div>
        <div class="col-2">
          <label for="assessments_no">Total questions</label>
          <input type="number" min="1" max="100" step="1" class="form-control" name="assessments_no" value="<%- test.assessments_no %>"/>
        </div>
        <div class="col-2">
          <label for="calib_assessments_no">having calibration qs</label>
          <input type="number" min="1" max="100" step="1" class="form-control" name="calib_assessments_no" value="<%- test.calib_assessments_no%>"/>
        </div>        
      </div>

    <% if (locals.peer_test_groups) {%>
      <br>
      <div class="row">
        <div class="col-md-12">
          <ul class="nav nav-tabs nav-justified" role="tablist">
            <% for (let i = 0; i < locals.peer_test_groups.length; ++i) {%>
              
                <li class="nav-item">
                    <a
                        class="nav-link <%= (i === 0) ? 'active' : '' %>" 
                        data-toggle="tab"
                        href="#tabpeergroup<%=i%>"
                        role="tab">
                        <b>#<%=i+1%></b>
                    </a>
                  </li>                    
              
            <%}%>
          </ul>
            <div class="tab-content edgar-tab-content">
            <% questionsIndex = 0; %>
            <% for (let i = 0; i < locals.peer_test_groups.length; ++i) {%>
              
                <div 
                    class="tab-pane peer-group-pane <%= (i === 0) ? 'active' : '' %>"
                    id="tabpeergroup<%=i%>"
                    role="tabpanel"
                >
    
                  
                  <div class="row mt-2">
                    <div class="col-8">
                      <label for="id_pa1_question">
                        PA#1 question: <a target="_blank" href="/question/edit/<%=peer_test_groups[i].id_question%>"> <%=peer_test_groups[i].id_question%> </a>
                      </label>
                      <textarea disabled class="form-control"><%-peer_test_groups[i].question_text%></textarea>
                    </div> 
                    <div class="col-4">
                      <label for="id_calib_assessments_node">Calibration question(s) node</label>
                      <input type="hidden" class="id_peer_test_group" name="id_peer_test_group[<%=i%>]" value="<%=peer_test_groups[i].id%>"/>
                      <% locals.combodata = {
                          id: "id_calib_assessments_node" + i, 
                          list: node_name, 
                          name: "id_calib_assessments_node[" + i + "]", 
                          selected: peer_test_groups[i].id_calib_assessments_node, class:"form-control"
                        }; 
                      %>
                      <%- include(`../../partials/combo`) %>          
                    </div> 
                  </div>
                  <hr>
                  <div class="peer-test-questions">
                    <% peer_test_group_question = peer_test_group_questions.filter(x => peer_test_groups[i].id == x.id_peer_test_group); %>
                    <%- include(`../../partials/peerTestQuestions`) %>
                  </div>
                    
    
                </div>
            
            <%}%>
          </div>
        </div>
      </div>
    
    <%}%>


  </div> <!-- end card block-->

</div>